Skip to main content
GET
Get connection

Path Parameters

workspaceSlug
string
required

URL-safe workspace identifier.

connectionId
string
required

Opaque identifier of the connection.

Pattern: ^conn_[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$

Response

Response type for a workspace connection.

Note: The encrypted connection data is never exposed in API responses. Only metadata about the connection is returned.

Response type for a workspace connection.

Note: The encrypted connection data is never exposed in API responses. Only metadata about the connection is returned.

createdAt
string<date-time>
required

When the connection was created.

createdBy
object
required

Account that created this connection.

displayName
string
required

Human-readable connection display name.

id
string
required

Opaque identifier of the connection.

Pattern: ^conn_[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
isActive
boolean
required

Whether the connection is enabled.

provider
string
required

Provider identifier (s3, azure, gcs, openai, ollama, ...).

updatedAt
string<date-time>
required

When the connection was last updated.

workspaceSlug
string
required

Handle of the workspace this connection belongs to.

Required string length: 3 - 32
Pattern: ^[a-z0-9]+(?:-[a-z0-9]+)*$
sync
object

Sync configuration; present only for sync-capable connections.